<?php
defined('_JEXEC') or die('Restricted access');

// Load the language
JPlugin::loadLanguage( 'com_community_gifts' );

class plgCommunityCommunity_gifts extends JPlugin
{
	function plgCommunityCommunity_gifts (&$subject, $config)
	{
		parent::__construct($subject, $config);
	}

	function onProfileExtra($user, $params = null, $name)
	{
		if ($name != 'community_gifts'){return;}

		$doc  = & JFactory::getDocument();
		$nowuser = & JFactory::getUser();
		//$doc->addScript(JURI::root().'components/com_community/js/shadowbox/adapter/shadowbox-base.js');
		//$doc->addScript(JURI::root().'components/com_community/js/shadowbox/shadowbox.js');
		JHTML::_('behavior.tooltip');

		$uri  = JFactory::getURI();
		$url  = $uri->toString();

		// get the gifts
		$db = & JFactory::getDBO();
		$query = 'SELECT g.*, u.username AS username, u.id AS uid FROM #__community_gifts_sent AS g '
		.'LEFT JOIN #__users AS u ON g.fromuser_id=u.id '
		.'WHERE touser_id='.$user->id;
		$db->setQuery($query);
		$gifts_ = $db->loadObjectList();
		$gifts = array();
		if (count($gifts_)>0)
			foreach($gifts_ as $g) {
				$type = explode('/', $g->gift);
				if ($type[0]=='icons') {
				$g->name = preg_replace('/_/', ' ', substr($type[2], 0, strrpos($type[2], '.')-strlen($type[2])));
				$gifts[] = $g;
			}
		}


		// showall link
		$showall = '<img src="'.JURI::root().'components/com_community/images/show_all.png'.'"/>';
		$itid = $this->params->get('item_itemid', COMMUNITY_GENERAL_PROFILE_ITEMID);
		$itid = ($itid) ? $itid : JRequest::getInt('Itemid');
		$showall.= '<a href="index.php?option=com_community_gifts&view=user_s_gifts&user_id='.$user->id.'&Itemid='.$itid.'">'.JText::_('Show All').'</a>';

		// add link
		$returl = $uri->toString();
		$returl = preg_replace('/(&return=[^&]+)/', '', $returl);
		$returl  = base64_encode($returl);
		$add = '<img src="'.JURI::root().'components/com_community/images/add_new.png'.'"/>';
		$add.= "<a href=\"index.php?option=com_community_gifts&touser_id={$user->id}&Itemid=".$itid.'&return='.$returl.'">'.JText::_('Add').'</a>';

		// manage link
		$manage = '<img src="'.JURI::root().'components/com_community/images/a.edit.png'.'"/>';
		$manage.= "<a href=\"index.php?option=com_community_gifts&view=manage&Itemid=".$itid.'">'.JText::_('Manage').'</a>';

		// get the GENERAL_UPLOAD folder
		$params = new JParameter(JFile::read(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_community'.DS.'config.ini'));
		$uploads = JURI::root().$params->get('general::upload').'/gifts/';

		// generate the tables
		$ht = '<table width="100%">';
		$lim = $this->params->get('gifts_limit', 10);
		$gnum = count($gifts);
		$ht.= '<tr><td>';
		$ht.= '<div style="float:right;">';
		if ($user->id!=$nowuser->id) $ht.=$add;
		if ($user->id==$nowuser->id) $ht.=$manage;
		if ($gnum>$lim) $ht.='&nbsp;'.$showall;
		$ht.= '</div>';
		$ht.= '</td></tr>';
		$ht.= '<tr><td>';
		if ($gnum>0) {
			$i=0;
			foreach($gifts as $ic) {
				if ($lim>$i) {
					$i++;
					$ht.= '<div style="float:left;">';
					$ht.= '<table height="150"><tr height="70%">';
					$ht.= '<td align="center" valign="top">';
					$ht.= '<span class="editlinktip hasTip" title="'.JText::_('Note').'::'.$ic->body.'">';
					//$ht.= '<a title="'.JText::_($ic->name).'" href="index.php?option=com_community_gifts&view=gift_details&gift_id='.$ic->id.'&tmpl=component" rel="shadowbox;width=400;height=250;">';
					$ht.= '<img src="'.$uploads.$ic->gift.'" /></span></td>';
					$ht.= '</tr><tr>';
					$ht.= '<td align="center" valign="top"><span>'.JText::_($ic->name).'</span><br/>';
					$ht.= '<span>'.JText::_('From').':&nbsp;'.JSCommunityApi::getUserSlideMenu($ic->uid, $ic->username).'</span></td>';
					$ht.= '</tr></table></div>';
				}
			}
			$ht.= '</td></tr>';
		}
		$ht.= '</table>';
		$root = JURI::root();
		/*		$ht .= "
		<script type=\"text/javascript\">
		Shadowbox.loadSkin( 'classic', '{$root}components/com_community/js/shadowbox/skin' );
		Shadowbox.loadLanguage( 'en', '{$root}components/com_community/js/shadowbox/lang' );
		Shadowbox.loadPlayer( [ 'iframe' ], '{$root}components/com_community/js/shadowbox/player' );

		window.onload = Shadowbox.init;
		</script>
		";
		*/
		$ret = new JSCommunityTab();
		$ret->name  = 'community_gifts';
		$ret->title = JText::_("User Gifts");
		$ret->text  = $ht;

		return $ret;
	}

	function onUserSlideMenu($user)
	{
		$nowuser = & JFactory::getUser();
		$uri  = JFactory::getURI();
		$returl = $uri->toString();
		$returl = preg_replace('/(&return=[^&]+)/', '', $returl);
		$returl  = base64_encode($returl);

		$link_place = $this->params->get('link_place');
		if (($link_place == 'Always' || $link_place == 'SlideMenu') && $nowuser->id!=$user->id) {
			$Itemid = $this->params->get('item_itemid', COMMUNITY_GENERAL_PROFILE_ITEMID);

			$menu = new stdClass();
			$menu->link = JRoute::_("index.php?option=com_community_gifts&touser_id={$user->id}&Itemid=".$Itemid.'&return='.$returl);
			$menu->icon="plugins/community/icons/comments.png";
			$menu->alt = JText::_("Send gifts");
			return $menu;
		}
	}

	function onProfileMenu($user)
	{
		$nowuser = & JFactory::getUser();
		$uri  = JFactory::getURI();
		$returl = $uri->toString();
		$returl = preg_replace('/(&return=[^&]+)/', '', $returl);
		$returl  = base64_encode($returl);

		$link_place = $this->params->get('link_place');
		if (($link_place == 'Always' || $link_place == 'ProfileMenu') && $nowuser->id!=$user->id) {
			$Itemid = $this->params->get('item_itemid', COMMUNITY_GENERAL_PROFILE_ITEMID);

			$menu = new stdClass();
			$menu->link = JRoute::_("index.php?option=com_community_gifts&touser_id={$user->id}&Itemid=".$Itemid.'&return='.$returl);
			$menu->icon="plugins/community/icons/comments.png";
			$menu->alt = JText::_("Send gift");
			$menuItems[] = $menu;
			$ret = new stdClass();
			$ret->menuItems = $menuItems;
			return $ret;
		}
	}
}
?>
