<?php


// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );


class Community_giftsModelManage extends JModel
{
	function Community_giftsModelManage()
	{
		parent::__construct();
	}

	function getUserGifts($uid, $orderby='date')
	{
		$db		  = &JFactory::getDBO();

                $orderby = ($orderby=='username') ? 'u.name' : 'g.'.$orderby;
                $query = 'SELECT g.*, DATE_FORMAT(g.date, \'%d:%m:%Y\') AS date,  u.username AS username, u.id AS uid FROM #__community_gifts_sent AS g '
                        .'LEFT JOIN #__users AS u ON g.fromuser_id=u.id '
                        .'WHERE g.touser_id='.$uid.' '
                        .'ORDER BY g.date DESC';
                $db->setQuery($query);
                $gifts = $db->loadObjectList();

                $stickers = array();
                $uaicons = array();
                $icons = array();

                if (count($gifts)>0)
                foreach ($gifts as $g) {
                    $t = explode('/', $g->gift);
                    $g->name = preg_replace('/_/', ' ', substr($t[2], 0, strrpos($t[2], '.')-strlen($t[2])));
                    switch ($t[0]) {
                        case 'stickers': $stickers[] = $g; break;
                        case 'uaicons': $uaicons[] = $g; break;
                        case 'icons': $icons[] = $g; break;
                    }
                }

                $gifts = new stdClass();
                $gifts->stickers = $stickers;
                $gifts->uaicons = $uaicons;
                $gifts->icons = $icons;

		return $gifts;
	}
	
        function getGift($gid) {
		$db		  = &JFactory::getDBO();

		$query = 'SELECT * FROM #__community_gifts_sent WHERE id='.$gid;
		$db->setQuery($query);
		return $db->loadObject();
        }

	function deleteGift($gid)
	{
		$db		  = &JFactory::getDBO();

		$query = 'DELETE FROM #__community_gifts_sent WHERE id='.$gid;
		
		$db->setQuery($query);
		$db->query();	
	}

}
