<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );


class Community_giftsController extends JController
{

	function display()
	{
		parent::display();
	}
	
	function delete() {
		global $mainframe;
	
		$user				 	= & JFactory::getUser();
		$gid					= JRequest::getVar('gid',		1, 	'int');
		$uri	= & JFactory::getURI();
		$uri->delVar('task');
		$url = $uri->toString();
		$model	  = & $this->getModel('Manage');
		$gift = $model->getGift($gid);

		if (!$user->get('id')) {
			$mainframe->redirect(JRoute::_("index.php?option=com_user&view=login&return=".base64_encode($url)), JText::_('Please, login!'));
		}
		if ($user->id!=$gift->touser_id) {
			$mainframe->redirect(JRoute::_($url), JText::_('You\'r not authorized!'));
		}
	
		$model->deleteGift($gid);
		$mainframe->redirect(JRoute::_(JRoute::_($url)));
	
		parent::display();
	}

	function send() {
		global $mainframe;
	
		$touser_id			= JRequest::getInt('touser_id', -1, 'int');
		if ($touser_id>0) {
			$user				 	= & JFactory::getUser();
			$uri                                    = & JFactory::getURI();
			$body					= JRequest::getVar('body', 			''			);
			$gid					= JRequest::getVar('gid',  			'', 	'string');
			$returl					= JRequest::getVar('return',		base64_encode('index.php') ,'string');
			$returl = base64_decode($returl);
			$returl = preg_replace('/(&task)=(\w+)/', '', $returl);
			$returl = preg_replace('/(&return=[^&]+)/', '', $returl);
			$uri->delVar('task');
			if (strpos($returl, 'community_gifts')>0) $returl.= '&return='.base64_encode($returl);

			$url = 'index.php?option=com_community_gifts&Itemid='.JRequest::getInt('Itemid').'&touser_id='.JRequest::getInt('touser_id').'&return='.base64_encode($returl);

			if (!$user->get('id')) {
				$mainframe->redirect(JRoute::_("index.php?option=com_user&view=login&return=".base64_encode($uri->toString())), JText::_('Please, login!'));
			}
			if ($gid=='') {
				$mainframe->redirect(JRoute::_($url), JText::_('Please, select the gift!'));
			}

			$model	  = & $this->getModel();
			$model->insertSending($user->id, $touser_id, $gid, $body);
			$touser = $model->getUser($touser_id);
			JSCommunityApi::registerActivity($touser->id, JText::_('Sent gift to ').$touser->username, $user->id, 'components/com_community/images/editprofile.png');
			$mainframe->redirect(JRoute::_(JRoute::_($returl)), JText::_('The gift successfully sent!'));

		} else {
			JError::raiseNotice(01, JText::_('You have to select the user!'));
		}
		
		parent::display();
	}
}
?>
