<?php


// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');


class Community_giftsViewCommunity_gifts extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;

		$user	  = & JFactory::getUser();
		$uri 	  = & JFactory::getURI();
		$model	  = & $this->getModel();
		$document = & JFactory::getDocument();
		$pathway  = & $mainframe->getPathway();

		// redirect if the user is not logged in
		if (!$user->get('id')) {
			$mainframe->redirect(JRoute::_('index.php?option=com_user&view=login&return='.base64_encode($uri->toString())), JText::_('Please, login!'));
		}
		
		// prepare the pane
		require_once (JPATH_LIBRARIES.DS.'joomla'.DS.'html'.DS.'pane.php');
		$pane = new JPaneTabs();
		$pane->_loadBehavior();

		// Selected Request vars
		$user_id			= JRequest::getVar('user_id',			-1,				'', 'int');
		$touser_id			= JRequest::getInt('touser_id', -1);
		$limitstart			= JRequest::getVar('limitstart',		0,				'', 'int');
		$limit = $mainframe->getUserStateFromRequest('limit', 'limit', 10, 'int');
		if ($limit<=0) {
			$mainframe->setUserState('limit', 10);
			$limit = 10;
		}
		
		// get the GENERAL_UPLOAD folder
		$params = new JParameter(JFile::read(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_community'.DS.'config.ini'));
		$src = JURI::root().$params->get('general::upload').'/gifts/';
		$upl = JPATH_ROOT.DS.$params->get('general::upload').DS.'gifts';
		
		// get the pagination object
		$pagination = new JPagination($total, $limitstart, $limit);		
		
		// assign values
		$action = 'index.php?option=com_community_gifts&task=send&view=community_gifts';
		$return = JRequest::getVar('return',		base64_encode('index.php'),	'string');
		$return = base64_decode($return);
		$return = preg_replace('/(&return=[^&]+)/', '', $return);
		$return = base64_encode($return);
		$this->assignRef('pagination',	$pagination);
		$this->assignRef('pane',		$pane);
		$this->assign('action',			JRoute::_($action));
		$this->assign('uploads',		$src);
		$this->assign('touser_id',		$touser_id);
		$this->assign('types',			$model->getGiftsList($upl));
		$this->assign('return',			$return);
		
		// set the attributes
		$pathway->addItem(JText::_('Send Gifts'), '');
		$document->addStyleSheet(JURI::root().'components/com_community/assets/taber_style.css');
		$document->setTitle( JText::_('Send Gifts'));

		parent::display($tpl);	
	}
}
