<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');


class Community_giftsViewManage extends JView {
	function display($tpl = null) {
		global $mainframe, $option;

		$user	  = & JFactory::getUser();
		$uri 	  = & JFactory::getURI();

		if (!$user->get('id')) {
			$mainframe->redirect(JRoute::_('index.php?option=com_user&view=login&return='.base64_encode($uri->toString())), JText::_('Please, login!'));
		}

		$model	  = & $this->getModel();
		$document = & JFactory::getDocument();
		$pathway  = & $mainframe->getPathway();

		// prepare the pane
		$pane = new JPaneTabs();

		$params = new JParameter(JFile::read(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_community'.DS.'config.ini'));
		$src = JURI::root().$params->get('general::upload').'/gifts/';

		$this->assign('gifts',          $model->getUserGifts($user->id, JRequest::getVar('order_by', 'date')));
		$this->assign('src',		$src);
		$this->assign('pane',		$pane);
		$this->assign('url',		$uri->toString());
		$this->assign('uri',		$uri);

		// set the attributes
		$pathway->addItem(JText::_('Manage Gifts'), '');
		$document->addStyleSheet(JURI::root().'components/com_community/assets/taber_style.css');
		$document->setTitle( JText::_('Manage Gifts'));

		parent::display($tpl);
	}
}
